Subject: Re: Printing over network with AW classic?
From: [email-masked] (David Empson)
Date: Fri, 15 Jul 1994 14:25:33 GMT
Newsgroups: comp.sys.apple2

In article <[email-masked]>,
Greg R. Achenbach <[email-masked]> wrote:
> 
> The subject line pretty much says it.  Is it possible to print to a 
> network printer with Appleworks?

Yes.  I do this regularly with AppleWorks 4 on my IIgs, over a rather
short LocalTalk (AppleTalk) network to my ImageWriter II.
Non-AppleTalk networks are likely to be a different matter altogether.

It should work in all versions of AppleWorks (definitely in 3).

The main question I have, which you neglected to mention, is:

What type of computer do you have?

For an Apple IIe, you must have a 128k enhanced IIe with a IIe
Workstation Card.  I don't know the exact software requirements, but I
believe it works as follows.

You must boot from ProDOS-8 1.5 or later.  There must be a copy of the
ATINIT file (from the disk included with the workstation card) in the
root directory of the boot disk.  This file contains the default user
name for logging onto a file server, plus network printer name and
type, and code to patch ProDOS so that it can access a file server.

You must use the CHOOSER.II application to select the appropriate
network printer.  This information is saved into the ATINIT file.

In AppleWorks, set up the printer to print to the slot containing the
IIe Workstation Card.  The output will automatically be directed to
the printer you selected with CHOOSER.II (provided it is present on
the network and not in use).

For an ImageWriter II or LQ, that's all there is to it.  For a
LaserWriter, there is an additional step required: the ImageWriter
emulator (a Postscript program) must be downloaded to the printer
before you can access it from AppleWorks.  I don't know how this is
done with the IIe workstation card.

For a IIgs, the requirements are as follows:

1. You must have AppleTalk enabled in the Control Panel (see below for
details).  You can use either the printer or modem port to connect to
AppleTalk.

2. You must boot GS/OS to be able to access the network, then launch
AppleWorks.  If you reboot, you will be disconnected from the network
until you boot GS/OS again.

3. You can use any System Software from about version 3.2 to handle
network printing, but I'd recommend using System 5.0.4 or later.  I'll
describe the setup for System 6.0 and 6.0.1 below.

4. For System 5.0.4, you must have at least 1 MB of RAM to be able to
use AppleTalk.  For System 6.0 or later, I'd recommend at least 1.5 MB.

5. The AppleTalk software must be installed on your system disk.

6. You must select the desired network printer using Chooser or the
Network Printer Control Panel (depending on the version of system
software you are using).

7. You must tell AppleWorks to print to the appropriate slot.

Other issues and details for the above:

1. Setting up the Control Panel.

On a ROM 1 IIgs, the AppleTalk firmware resides in slot 7.  You must
set slot 7 to "AppleTalk", and either of slots 1 and 2 to "Your Card".
This slot will determine which port AppleTalk uses.  If both are set
to "Your Card", AppleTalk will use the Printer port.

There are restrictions on the cards you can place in the slot which is
set to "Your Card".  In particular, you cannot safely use an I/O card
(such as a parallel or serial card) because the AppleTalk firmware
uses the "screen holes" (several locations in RAM which are reserved
for a particular slot) belonging to the actual slot it is using.  This
usage conflicts with I/O cards.

Disk interface cards should be OK, because they don't usually need the
screen holes.

When configuring AppleWorks to print over AppleTalk on a ROM 1, you
must tell it to print to slot 7.

On a ROM 3 IIgs, you can set either of slot 1 or slot 2 to "AppleTalk".
The corresponding port should be connected to the network.

You also have the option of setting slot 7 to "AppleTalk" but this
should ONLY be done if you have software which assumes the AppleTalk
firmware is in slot 7.  This will use up two slots, and should be
avoided if possible.

AppleWorks should be configured to print to slot 1 or 2 (whichever one
was set to "AppleTalk").

In both cases, there are few settings on the Printer Port or Modem
Port control panel which are significant for AppleTalk.  The ROM 3
only lists these settings - the ROM 1 lists all the normal settings
but will ignore the ones which are meaningless for AppleTalk.

The important settings, and their default values (which I use) are:

Line Length: Unlimited
Delete first LF after CR: No
Add LF after CR: Yes
Echo: No

I tell AppleWorks not to add LF after each return, so only one LF is
added (by the AppleTalk firmware).

2. Installing AppleTalk software on the system disk.

The following procedure applies to System 6.0 or 6.0.1.  System 5.0.4
is similar.

The installation is easiest if you have a hard drive.  If you are
booting from an 800k floppy disk, you are likely to have trouble
fitting the AppleTalk printer support files on the system disk unless
something is removed (e.g. Finder).

Boot the "Install" disk, and click on the "Customize" button.

If necessary, insert your system disk.  Click on the "Disk" button
until the correct disk is shown at the top of the screen and in the
title of the list on the right side of the screen.

Scroll down through the list on the left side and locate the printer
you wish to install.  Examples are "Printer: ATalk ImageWriter"
or "Printer: LaserWriter".  If you want to be able to rename the
printers (usually only needed once, when the printer is first set up
on the network), you should also install "Network: Printer Namer".

Once the appropriate item (or items) is highlighted, click on the
"Install" button.  (To select multiple items, hold down the Apple key
when clicking on the second and subsequent items.)

If you are warned that there isn't enough disk space, you will have to
remove something from the system disk before installing the network
printer support.  I cannot go into details here, because there are
several possible alternatives, depending on your system setup.

Once the installation is complete, shut down and boot from your system
disk.

3. Selecting a printer.

Once you reach GS/OS, you should find one or more new items in the
Control Panels New Desk Accessory (under the Apple menu):

"Namer", if you installed the Network Printer Namer.  I won't explain
this any further, as it is pretty straightforward.

"Net Printer".  Double click on this icon.  In the window, you can
choose which type of printer to use (ImageWriter, ImageWriter LQ, or
LaserWriter) from a pop-up menu.  A list of printers of that type
appears immediately below this.  Choose the appropriate type of
printer, and select the desired printer from the list.

If you are on a large network you may also have to select a "Zone" from
the list in the bottom half of the window.

You can also enter a user name at the bottom of the window.  This is
of little significance unless you are using a print server, file
server or LaserWriter.

If you have selected a LaserWriter, you can click on the "ImageWriter
Emulator" button in the middle of the window to download the
ImageWriter Emulator to the LaserWriter.  This step is required if you
want to print to a LaserWriter from AppleWorks.  The emulator should
remain in the LaserWriter until it is switched off.

The selected printer will automatically be used whenever you print
from a ProDOS-8 application (via the AppleTalk slot), or from a GS/OS
application using the Print Manager.

Simple as that!  :-)

E-Mail me if you need more details.
-- 
David Empson
[email-masked]
Snail mail: P.O. Box 27-103, Wellington, New Zealand